commit:     48ddb9d13fc49d60197ba4a051db1de15020cd5e
Author:     Michael Seifert <m.seifert <AT> digitalernachschub <DOT> de>
AuthorDate: Wed Dec  8 13:24:30 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec  9 15:43:17 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48ddb9d1

dev-python/argon2-cffi: Bump to v21.2.0

Closes: https://bugs.gentoo.org/828569
Co-authored-by: Michał Górny <mgorny <AT> gentoo.org>
Signed-off-by: Michael Seifert <m.seifert <AT> digitalernachschub.de>
Closes: https://github.com/gentoo/gentoo/pull/23123
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/argon2-cffi/Manifest                  |  1 +
 dev-python/argon2-cffi/argon2-cffi-21.2.0.ebuild | 44 ++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/argon2-cffi/Manifest b/dev-python/argon2-cffi/Manifest
index 1210172f4cb4..4674fd4a5257 100644
--- a/dev-python/argon2-cffi/Manifest
+++ b/dev-python/argon2-cffi/Manifest
@@ -1 +1,2 @@
 DIST argon2-cffi-21.1.0.tar.gz 1807800 BLAKE2B 
47b1e785b7eb173b671a44e9212af76a59f453c3c0d0e5f2c437e7a62132abf86ab6baa8bdd656ad28d00a151296a66211d365c0afe228821c8c1ff1a0a66c46
 SHA512 
bbfebd2c075f360a6c1c187c0789be2aae7480b9398f36db7bdfe74f288d9e00b44a788918c54f4cc8bb1947136ab0493f61975de408c482a5131e2bf1a8f4d0
+DIST argon2-cffi-21.2.0.tar.gz 42399 BLAKE2B 
d2f1a7e7caf776239f343f5e5f2cd1fcd78f0dbdfc28814e3299df18e5c97a81cafa37bf10733614fe32ddc8d19fa5c5721285e8b96b9172eaf2322a5bb9e529
 SHA512 
40cdd18106d959bf58f20a35ea84ac3c3859d28ed6cfa28ee81655c12038b4e0f28bfe2d8ee9b96cd6009dfcebe0ef6aa4eb7fa9cd81cad0b32911ca723a8bdd

diff --git a/dev-python/argon2-cffi/argon2-cffi-21.2.0.ebuild 
b/dev-python/argon2-cffi/argon2-cffi-21.2.0.ebuild
new file mode 100644
index 000000000000..9e98e0123fd2
--- /dev/null
+++ b/dev-python/argon2-cffi/argon2-cffi-21.2.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+inherit distutils-r1
+
+DESCRIPTION="CFFI bindings to the Argon2 password hashing library"
+HOMEPAGE="https://github.com/hynek/argon2-cffi";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=dev-python/argon2-cffi-bindings-21.2.0[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+       )
+"
+
+DOCS=( AUTHORS.rst CHANGELOG.md FAQ.rst README.rst )
+
+src_prepare() {
+       # Patch the tool.flit.module.name entry in pyproject.toml to include
+       # the "src" subfolder. This allows pyproject2setuppy to retrieve the
+       # dynamic version and description correctly.
+       sed -i -e 's:^name = "argon2":name = "src/argon2":' \
+               "pyproject.toml" || die "Unable to patch package name"
+       # Sphinx's conf.py uses importlib.metadata to determine the package
+       # version. However, argon2-cffi is not installed when we try to build
+       # the docs. Therefore, we patch the release version in conf.py.
+       sed -i -e "/^release/s:= .*:= \"${PV}\":" \
+               "docs/conf.py" || die "Unable to patch version in docs"
+       distutils-r1_src_prepare
+}
+
+distutils_enable_sphinx docs \
+       dev-python/furo \
+       dev-python/sphinx-notfound-page
+distutils_enable_tests pytest

Reply via email to